Subject: Re: [Announce] Intel PRO/Wireless 3945ABG Network Connection

From: matthieu castet <[email-masked]>
Date: Sat, 25 Feb 2006 23:28:27 +0100

Hi,

John Stoffel wrote:
>>>>>>"Matthieu" == Matthieu CASTET <[email-masked]> writes:
> 
> 
> Matthieu> I will say, why not put the restriction of the firmware
> Matthieu> binary blob ?  It run on the device so it will be difficult
> Matthieu> for people to analyse it.
> 
> So what do I do when I take my US laptop and fly to country X, which
> has comletely different rules for these radios?  Do I have to re-flash
> my firmware to make it work properly?  
> 
And what happen with the userspace binary blob ?

How it will know in which country you are ?
Does it access to a secret GPS on your computer ?

So there are 2 solutions :
- make the card work only for a country with a flag in a RO eeprom or in 
another place in the hardware (firmware, ....).
- make the card works on all the possible channels.

Also if the firmware need to be load each time you reset the card (this 
is the case with the current ipw2xxx implementation), you won't notice 
if you switch for a firmware for a country X to a firmware for a country Y.

Matthieu